Subject: Re: NNCP road warrior

From: Sergey Matveev <[email-masked]>
Date: Fri, 14 Jan 2022 11:03:25 +0300

*** John Goerzen [2022-01-12 15:13]:
>> about using it as a VPN replacement, but because it works on top of TCP,
>> I abandoned that idea (efficiency questions).
>I don't have data to prove it, but I strongly suspect that these two
>measures together would be in the same range of performance as UDP-based
>algorithms except for the lossiest of links.  Plus they avoid some of
>the problems that the UDP-based algorithms can have around MTU.

I understand that it greatly simplifies many things in code and all that
issues with MTU. But it can never be efficient because of
http://sites.inka.de/bigred/devel/tcp-tcp.html
Also it prevents *desired* behaviour of no attempts to deliver dropped
packets (well, UDP nature). It is completely good, simple, tempting and
acceptable solution for the mesh network, but not the replacement for
VPN between two hosts, between machines in the LAN, for multi-gigabit
datacenter solutions and that kind of things. I was only concerned about
that kind of use-cases.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF